package com.cim.idm.model;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class LabelPrintPET {
	/******************************PET标签字段**************************/
	//批次号/SN序号
	private String lotName;
	//订单号
	private String productRequestName;
	//管芯/钢芯/载具
	private String carrierName;
	//品名
	private String productName;
	//生产线速
	private String lineSpeed;
	//长度
	private String length;
	//起始时间（PET主线）
	private String startTime;
	//下卷时间（PET主线）
	private String endTime;
	//宽度
	private String wide;
	//平均厚度
	private String thickNess;
	//等级
	private String lotGrade;
	//规格/实际规格
	private String practicalSpec;
	//母卷批号
	private String parentLotName;
	//接头
	private String joint;
	//料号
	private String productSpecName;
	//净重
	private String weight;
	//电晕
	private String corona;
	//生产日期
	private String productDate;
	//二维码
	private String QRCode;
	//检验员
	private String createUser;
	//型号
	private String specifications;
	//阶段
	private String stageCode;
	//单位
	private String mainUom;
	//库位
	private String locationcode;

	public List<String> creatLabelPET(){
		List<String> labelPETList = new ArrayList<>();
		labelPETList.add("lotName");
		labelPETList.add("productRequestName");
		labelPETList.add("carrierName");
		labelPETList.add("productName");
		labelPETList.add("lineSpeed");
		labelPETList.add("length");
		labelPETList.add("startTime");
		labelPETList.add("endTime");
		labelPETList.add("wide");
		labelPETList.add("thickNess");
		labelPETList.add("lotGrade");
		labelPETList.add("practicalSpec");
		labelPETList.add("parentLotName");
		labelPETList.add("joint");
		labelPETList.add("productSpecName");
		labelPETList.add("weight");
		labelPETList.add("corona");
		labelPETList.add("productDate");
		labelPETList.add("QRCode");
		labelPETList.add("createUser");
		labelPETList.add("specifications");
		labelPETList.add("stageCode");
		labelPETList.add("mainUom");
		labelPETList.add("locationcode");
		return labelPETList;
	}
}
